| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
StatEntity.cpp File Reference

Implementation file for class StatEntity. More...

`#include <cmath>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <string>`
`#include "GaudiKernel/StatEntity.h"`
`#include "boost/algorithm/string/case_conv.hpp"`
`#include "boost/format.hpp"`
Include dependency graph for StatEntity.cpp:

Go to the source code of this file.

## Macros
#define | GAUDIKERNEL_STATENTITY_CPP 1

## Functions
bool | operator< (const StatEntity &lhs, const StatEntity &rhs)
| comparison More...
StatEntity | operator+ (const StatEntity &entity, const double value)
StatEntity | operator+ (const double value, const StatEntity &entity)
StatEntity | operator- (const StatEntity &entity, const double value)
StatEntity | operator+ (const StatEntity &entity, const StatEntity &value)
std::ostream & | operator<< (std::ostream &stream, const StatEntity &entity)

## Detailed Description

Implementation file for class StatEntity.

Date
  26/06/2001

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Definition in file StatEntity.cpp.

## Macro Definition Documentation

#define GAUDIKERNEL_STATENTITY_CPP 1

Definition at line 2 of file StatEntity.cpp.

## Function Documentation

StatEntity operator+ | ( | const StatEntity & | entity,
|  | const double | value
| ) |  |

Definition at line 247 of file StatEntity.cpp.

248 {
249 StatEntity aux( entity );
250 return aux += value;
251 }
StatEntity
The basic counter used for Monitoring purposes.
Definition: StatEntity.h:65

StatEntity operator+ | ( | const double | value,
|  | const StatEntity & | entity
| ) |  |

Definition at line 255 of file StatEntity.cpp.

255 { return entity + value; }

StatEntity operator+ | ( | const StatEntity & | entity,
|  | const StatEntity & | value
| ) |  |

Definition at line 267 of file StatEntity.cpp.

268 {
269 StatEntity aux( entity );
270 return aux += value;
271 }
StatEntity
The basic counter used for Monitoring purposes.
Definition: StatEntity.h:65

StatEntity operator- | ( | const StatEntity & | entity,
|  | const double | value
| ) |  |

Definition at line 259 of file StatEntity.cpp.

260 {
261 StatEntity aux( entity );
262 return aux -= value;
263 }
StatEntity
The basic counter used for Monitoring purposes.
Definition: StatEntity.h:65

bool operator< | ( | const StatEntity & | lhs,
|  | const StatEntity & | rhs
| ) |  |

comparison

Definition at line 243 of file StatEntity.cpp.

243 { return lhs.m_se < rhs.m_se; }
StatEntity::m_se
struct StatEntity::se m_se

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const StatEntity & | entity
| ) |  |

Definition at line 275 of file StatEntity.cpp.

275 { return entity.print( stream ); }
StatEntity::print
std::ostream & print(std::ostream &o=std::cout) const
printout to std::ostream
Definition: StatEntity.cpp:232